Subject: Re: [PATCH v2 net-next] arp: flush arp cache on IFF_NOARP change

From: Timo Teras <[email-masked]>
Date: Thu, 23 May 2013 10:49:44 +0300

On Thu, 23 May 2013 00:01:36 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Timo Teräs <[email-masked]>
> Date: Tue, 21 May 2013 13:23:44 +0300
> 
> > IFF_NOARP affects what kind of neighbor entries are created
> > (nud NOARP or nud INCOMPLETE). If the flag changes, flush the arp
> > cache to refresh all entries.
> > 
> > Signed-off-by: Timo Teräs <[email-masked]>
> 
> I agree with Ben that we should have a "orig_priv_flags" or
> something like that to implement this, rather than adding
> transient state flags to ->priv_flags.

Sure. I'll split this to two patches then and do this.

I would prefer "flags_changed" as then the notifiers can easily test on
the change. Usually the care only about the new state, or if it
changed. Otherwise the change calculation is needed on all notify
callbacks.

Will post this briefly, unless you feel that "orig_flags" is still
preferred.